@import '~bootstrap/scss/mixins/breakpoints';
@import '~@nebular/theme/styles/global/breakpoints';
@import '../../styles/themes';

@include nb-install-component() {
  display: flex;
  justify-content: space-between;
  width: 100%;
  // background-color: #064676;
  
 
  // .logo-container {
  //   display: flex;
  //   align-items: center;
  //   width: calc(#{nb-theme(sidebar-width)} - #{nb-theme(header-padding)});

  //   img {
  //     width: 200px;
  //     height: 150px;
  //     padding-top: .7px;
  //   }
  // }

  nb-action {
    height: auto;
    display: flex;
    align-content: center;
  }

  nb-user {
    cursor: pointer;
  }

  ::ng-deep nb-search button {
    padding: 0!important;
  }

  .header-container {
    display: flex;
    align-items: center;
    width: auto;
  
    .sidebar-toggle {
      @include nb-ltr(padding-right, 1.25rem);
      @include nb-rtl(padding-left, 1.25rem);
      text-decoration: none;
      color: nb-theme(text-hint-color);
      nb-icon {
        font-size: 1.75rem;
      }
    }

    // .logo {
    //   // padding: 0 1rem;
    //   // font-size: .5rem;
    //   // height: 20%;
    //   // width: 20%;
    //   margin-left: -4rem;
    //   margin-top:1rem;
    //   @include nb-ltr(border-left, 1px solid nb-theme(divider-color));
    //   @include nb-rtl(border-right, 1px solid nb-theme(divider-color));
    //   // white-space: nowrap;
    //   text-decoration: none;
    // }
  }

  @include media-breakpoint-down(sm) {
    .control-item {
      display: none;
    }
    .user-action {
      border: none;
      padding: 0;
    }
  }

  @include media-breakpoint-down(is) {
    nb-select {
      display: none;
    }
  }
}
